<!doctype html>
<html lang="en">
<head>
<!-- Required meta tags -->
<meta charset="utf-8">
<meta name="viewport"
	content="width=device-width, initial-scale=1, shrink-to-fit=no">

<!-- Bootstrap CSS -->
<link rel="stylesheet"
	href="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/css/bootstrap.min.css"
	integrity="sha384-ggOyR0iXCbMQv3Xipma34MD+dH/1fQ784/j6cY/iJTQUOhcWr7x9JvoRxT2MZw1T"
	crossorigin="anonymous">

<title>Poissons!</title>
</head>
<body>
	<div class="container-fluid">
		<div class="mx-auto" style="width: 200px;">
			<h1>Poissons</h1>
		</div>
		<table class="table">
			<thead class="thead-dark">
				<tr>
					<th scope="col">Nom</th>
					<th scope="col">Description</th>
					<th scope="col">Couleur</th>
					<th scope="col">Dimensions</th>
					<th scope="col">Prix</th>
				</tr>
			</thead>
			<tbody id="tbody">
			</tbody>
		</table>
		<div class="mx-auto" style="width: 200px;">
			<a class="btn btn-primary" href="http://localhost:8080/creation.html" role="button">Créer un poisson</a>
		</div>
	</div>
	<!-- Optional JavaScript -->

	<!-- jQuery first, then Popper.js, then Bootstrap JS -->
	<script src="https://code.jquery.com/jquery-3.1.1.min.js"></script>
	<script
		src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.14.7/umd/popper.min.js"
		integrity="sha384-UO2eT0CpHqdSJQ6hJty5KVphtPhzWj9WO1clHTMGa3JDZwrnQq4sF86dIHNDz0W1"
		crossorigin="anonymous"></script>
	<script
		src="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/js/bootstrap.min.js"
		integrity="sha384-JjSmVgyd0p3pXB1rRibZUAYoIIy6OrQ6VrjIEaFf/nJGzIxFDsf4x0xIM+B07jRM"
		crossorigin="anonymous"></script>
	<script>
		$(document).ready(function() {
			$.ajax({
				url : "http://localhost:8080/poissonController/listePoissons"
			}).then(function(data) {
					var i;
					var liste = "";
					for (i = 0; i < data.length; ++i) {
							console.log(data[i].nom);
							liste += "<tr><th>"
								+ data[i].nom
								+ "</th><td>"
								+ data[i].description
								+ "</td><td>"
								+ data[i].couleur
								+ "</td><td>"
								+ data[i].longueur
								+ " x "
								+ data[i].largeur
								+ "</td><td>" + data[i].prix + "</td></tr>";
					}
					$("#tbody").append(liste);
			});
		});
	</script>
</body>
</html>
